Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.upgrade
Class UpgradeDriverListener

    public interface class UpgradeDriverListener

Receives notification of schema upgrade driver events.

(Unpublished)

Method Summary
`void` | `taskEnded(int task, boolean returnValue)` Called when an upgrade driver task ends without throwing an exception.
`void` | `taskFailed(int task, java.lang.Throwable throwable)` Called when an upgrade driver task fails.
`void` | `taskPreconditionsVerified(int task)` Called when an upgrade driver task has successfully verified the preconditions required by that task.
`void` | `taskStarted(int task)` Called when an upgrade driver task is started.

Method Detail

### taskStarted

    void taskStarted(int task)

  Description copied from interface: `UpgradeDriverListener`
  Called when an upgrade driver task is started.

  An upgrade driver task is started by calling the `analyze`, `preUpgrade`, `upgrade`, `postUpgrade`, or `rollback` methods of UpgradeDriverManager.

  Parameters:
    `task` - the task; one of
    - `TASK_ANALYZE`,
    - `TASK_PREUPGRADE`,
    - `TASK_UPGRADE`,
    - `TASK_POSTUPGRADE`, or
    - `TASK_ROLLBACK`
  (Unpublished)

### taskPreconditionsVerified

    void taskPreconditionsVerified(int task)

  Description copied from interface: `UpgradeDriverListener`
  Called when an upgrade driver task has successfully verified the preconditions required by that task.

  Parameters:
    `task` - the task; one of
    - `TASK_ANALYZE`,
    - `TASK_PREUPGRADE`,
    - `TASK_UPGRADE`,
    - `TASK_POSTUPGRADE`, or
    - `TASK_ROLLBACK`
  (Unpublished)

### taskFailed

    void taskFailed(int task,
                    java.lang.Throwable throwable)

  Description copied from interface: `UpgradeDriverListener`
  Called when an upgrade driver task fails.

  The exception thrown by the UpgradeDriver `analyze`, `preUpgrade`, `upgrade`, `postUpgrade`, or `rollback` method is reported.

  Parameters:
    `task` - the task; one of
    - `TASK_ANALYZE`,
    - `TASK_PREUPGRADE`,
    - `TASK_UPGRADE`,
    - `TASK_POSTUPGRADE`, or
    - `TASK_ROLLBACK`
    `throwable` - the exception thrown by the UpgradeDriverManager method
  (Unpublished)

### taskEnded

    void taskEnded(int task,
                   boolean returnValue)

  Description copied from interface: `UpgradeDriverListener`
  Called when an upgrade driver task ends without throwing an exception.

  The value returned by the UpgradeDriver `analyze`, `preUpgrade`, `upgrade`, `postUpgrade`, or `rollback` method is reported.

  Parameters:
    `task` - the task; one of
    - `TASK_ANALYZE`,
    - `TASK_PREUPGRADE`,
    - `TASK_UPGRADE`,
    - `TASK_POSTUPGRADE`, or
    - `TASK_ROLLBACK`
    `returnValue` - the value returned by the UpgradeDriverManager method
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD